# Syncthing on a Kobo eReader

This installs [Syncthing](https://syncthing.net) on a Kobo eReader.

Syncthing will be installed in `/usr/local/syncthing` with a udev rule
`99-syncthing.rules` to automatically start it on network device
detection.

## Build

Run `make` to build the update tarball `KoboRoot.tgz`.

## Install

Place the built `KoboRoot.tgz` file in the `.kobo/` folder of your
eReader and eject it.

## Final steps

To access the admin interface of syncthing you have to edit `config.xml`
and replace `<address>127.0.0.1:8384</address>` with
`<address>0.0.0.0:8384</address>`. The config is located at
`.adds/syncthing/config.xml`. Be aware that anyone
in the same network can access the admin interface, so install a TLS
certificate and set a password.
